Update an existing Trade
curl --request PATCH \
--url https://commerce.driv.ly/api/trades/{customer}/{vehicle} \
--header 'Content-Type: application/json' \
--data '
{
"customer": "<string>",
"vehicle": "<string>",
"netAllowance": 123,
"grossAllowance": 123,
"odometer": 1,
"creditApp": "<string>",
"deal": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/trades/{customer}/{vehicle}"
payload = {
"customer": "<string>",
"vehicle": "<string>",
"netAllowance": 123,
"grossAllowance": 123,
"odometer": 1,
"creditApp": "<string>",
"deal": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customer: '<string>',
vehicle: '<string>',
netAllowance: 123,
grossAllowance: 123,
odometer: 1,
creditApp: '<string>',
deal: '<string>'
})
};
fetch('https://commerce.driv.ly/api/trades/{customer}/{vehicle}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customer": "<string>",
"vehicle": "<string>",
"netAllowance": 123,
"grossAllowance": 123,
"odometer": 1,
"creditApp": "<string>",
"deal": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Trades
Update an existing Trade
PATCH
/
trades
/
{customer}
/
{vehicle}
Update an existing Trade
Path Parameters
Trade is uniquely identified by Customer
Trade is uniquely identified by Vehicle
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Customer offers Vehicle for trade
Trade is uniquely identified by Customer
Trade is uniquely identified by Vehicle
Trade provides Net Allowance
Must be a multiple of
0.01Trade provides Gross Allowance
Must be a multiple of
0.01Odometer is read for Trade
Required range:
x >= 0Credit App has Trade
Trade provides assets for Deal
Response
Trade Updated
Customer offers Vehicle for trade
Show child attributes
Show child attributes
Example:
{ "deal": "dea_1a2b3c4d5e6f", "vehicle": { "id": "veh_3k12j9qksdf0", "vin": "1C4HJXEN5MW592818", "year": 2021, "make": "Jeep", "trim": "Sport", "spec": "Off-Road Package", "model": "Wrangler", "engine": "3.6L V6", "seatCount": 5, "doorCount": 4, "bodyStyle": "SUV", "drivetrain": "4WD", "transmission": "Automatic", "interiorColor": "Black", "exteriorColor": "Red" }, "customer": { "id": "cus_k3j5s9qj3w0d", "addresses": ["123 Main St, Anytown, USA"], "phoneNumbers": ["555-123-4567"] }, "odometer": 15000, "creditApp": "cre_5j6k7l8m9n0o", "netAllowance": 25000, "grossAllowance": 26000 }
⌘I